package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 版本管理
type Versions struct {
	Id       primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	UserId   primitive.ObjectID `bson:"userId,omitempty" json:"userId"`
	UserName string             `bson:"userName,omitempty" json:"userName"`

	Name    string `bson:"name,omitempty" json:"name"`       // 名字
	Size    string `bson:"size,omitempty" json:"size"`       // 大小 2000M
	Url     string `bson:"url,omitempty" json:"url"`         // 安装包地址
	Version string `bson:"version,omitempty" json:"version"` // 版本 1.0.0

	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
